package org.gemoc.xdsmlframework.api.engine_addon.modelchangelistener;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.xtend.lib.annotations.AccessorType;
import org.eclipse.xtend.lib.annotations.Accessors;
import org.eclipse.xtext.xbase.lib.Pure;
import org.gemoc.xdsmlframework.api.engine_addon.modelchangelistener.ModelChange;

@SuppressWarnings("all")
public abstract class FieldModelChange extends ModelChange {
  @Accessors({ AccessorType.PROTECTED_SETTER, AccessorType.PUBLIC_GETTER })
  private EStructuralFeature changedField;
  
  public FieldModelChange(final EObject changedObject, final EStructuralFeature changedField) {
    super(changedObject);
    this.changedField = changedField;
  }
  
  @Pure
  public EStructuralFeature getChangedField() {
    return this.changedField;
  }
  
  protected void setChangedField(final EStructuralFeature changedField) {
    this.changedField = changedField;
  }
}
